package com.fs.xiaoshouyi.dto;

import lombok.Data;

@Data
public class QueryMaterialResponse {

    private String code;
    private String msg;
    private Boolean success;
    private MaterialPageData data;

    public static QueryMaterialResponse error(String msg) {
        QueryMaterialResponse response = new QueryMaterialResponse();
        response.setCode("500");
        response.setMsg(msg);
        response.setSuccess(false);
        return response;
    }
}